<p>It seems like every week, someone posts on <a href="https://www.reddit.com/r/gamedev/" target="_blank" rel="noopener noreferrer">r/gamedev</a> about how they aren't enjoying video games anymore, simply because they started learning gamedev. I myself definitely went through this, and I bet most people doing gamedev had similar experiences. If you are currently in the spot where you think you will never enjoy videogames anymore, I can assure you that it won't stay that way. As a matter of fact, after you gain more experience, videogames will be more fun than ever before.</p>

<p>I have developed what I call "The 3 stages of competent enjoyment", a model of different stages that describes what most people will go through. So let's just jump straight into it.</p>

<?php late_image(get_source("picture.png"), "pixel_image", "width:100%; margin:auto; display: block;");?>

<h2>Stage 1: Incompetent Enjoyment</h2>

<p>At this stage, you have no idea how videogames work. Maybe you have heard a bit about gamedev here and there, but mostly videogames are just magic to you. And just like magic, it's the awe, the spectacle what makes you enjoy games.</p>

<p>Most of the human population is at this stage. Most people don't care about gamedev and that is fine. You don't need to be a 5-star cook to judge if the food you were served is tasty or not.</p>

<h2 style="margin-top: 50px;">Stage 2: Competent Unenjoyment</h2>

<p>But people interested in gamedev won't stay at stage 1, and decide to persue it. Stage 2 is fairly easy to reach. All it takes to reach stage 2 is to start learning. Once you start learning about gamedev, you are discovering how the magic works and realize it's all smokes and mirrors. As a consequence of this, the magic will break. You become disillusioned and the spectacle is gone.</p>

<p>It is this stage, that makes people question if their decision to get into gamedev was a mistake or not. At stage 1, spectacle was everything that made videogames worthwhile. But now at stage 2, there is nothing left and videogames simply aren't as enjoyable anymore. Gamedev stole the one and only thing, that made videogames amazing.</p>

<h2 style="margin-top: 50px;">Stage 3: Competent Enjoyment</h2>

<p>Things won't stay at stage 2 forever. Eventually you will gain more experience, and with it, you will discover new enjoyment in videogames. You see, at stage 1, you cannot possibly understand why a game is made in the way it is, nor can you appreciate it's design. This is because you simply don't know why games are the way they are. At stage 3 however, you have mastered the basics and are amazed by the design itself.</p>

<p>It is this stage where you begin to realize, how the game manipulates your behavior, to craft a specific experience. While the game builds this wonderland of fake environments, fake characters and fake mechanics, you begin to see through it, like Neo sees through the matrix. This skill is deeply enjoyable in itself.</p>

<p>The spectacle is long gone, but at this point you don't require it anymore, because you found something more enjoyable.</p>

<h2 style="margin-top: 50px;">Conclusion</h2>

<p>Now, this is most definitely not scientific, as it's just anecdotal. But I think there is at least some truth to it. I also think that this 3-stage-model is applicable to different media as well. For example, I went through the same with music production. As I began to make music myself, I was disgusted by the industry, how everyone uses the same cheap tricks and that seemingly everyone is only in it for the money. But now I listen to all kind of music, different creators and even weird stuff like Philosophy of the World by The Shaggs (more on that in the next blogpost). And more often than not, the weirder and questionable the music is, the more I tend to enjoy it.</p>

<p>Maybe Visual Artists, e.g. people who paint and draw, but also video makers or crafters go through the same or similar changes. But whatever you are doing, more experience will most certainly make you enjoy your media of choice even more!&#128522;</p>