<p>One of my most favorite music albums of all time is Philosophy of the World, by The Shaggs. Though whenever I share this masterpiece from 1969, I always get the same responses: "Oh god, they are totally out of tune and the rhythm is all over the place! Can you even consider this music?"</p>

<!--<div style="position: relative; padding-bottom: 56.25%; padding-top: 0; height: 0; overflow: hidden;"><iframe style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;" src="https://www.youtube.com/embed/jQqK1CjE9bA" title="YouTube video player" frameborder="0" allow="accelerometer; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe></div>-->

<?php late_image(get_source("shaggs.webp"), "", "max-width:100%; width: 500px; margin:auto; display: block;"); ?>

<p style="font-style: italic; color:var(--pico-8-dark-grey);">Cover of Philosophy of the World, The Shaggs, <a href="https://www.youtube.com/watch?v=jQqK1CjE9bA" target="_blank" rel="noopener noreferrer">via YouTube</a><p>

<p>To clear any ambiguity, yes, I do love this album. I don't make fun of the band, nor do I participate in schadenfreude. I really do, in fact, greatly enjoy this album. And I am not the only one who enjoys this music; many others have voiced their positive opinions of this album. Most famously, Kurt Cobain put this album in the Top 5 of his most favorite albums.</p>

<p>How can most people question the validity of such a piece of art, yet be so highly regarded by others? How can it be, that some people despise absolute masterful works of art? "Why do people enjoy <span style="font-style: italic;">bad</span> art, and not the <span style="font-style: italic;">good</span> art like me?" Well,</p>

<h2 style="text-align: center;">Art in itself, is meaningless.</h2>

<p>The source of the Shaggs that I have linked above lead to a YouTube video, that is ultimately composed of just 1s and 0s, which eventually get turned into variable air pressure by your speakers. Leonardo da Vinci's Mona Lisa is just Oil on some wood. Michelangelo's David is just a rock, marble to be precise, in a specific shape. Every art piece in the world is nothing but some kind of material in some kind of format. And there is nothing inherently special about anything. To appreciate and to give art meaning, we have to put it into some kind of context. Without context, art ceases to exist.</p>

<div style="margin: auto; display: block;">
<?php
	late_image(get_source("mona_lisa.webp"), "", "width:49%; margin:auto; display:inline_block;");
	late_image(get_source("david.webp"), "", "width:49%; margin:auto; display:inline_block;");
	/*late_image(get_source("mona_lisa_and_david.webp"), "", "width:100%; margin:auto;");*/
?>
</div>

<p style="font-style: italic; color:var(--pico-8-dark-grey);">
	Left: Mona Lisa, Leonardo da Vinci, Public domain, via Wikimedia Commons<br>
	Right: David, Michelangelo, <a href="https://creativecommons.org/licenses/by/3.0" target="_blank" rel="noopener noreferrer">CC BY 3.0</a>, via Wikimedia Commons
<p>

<p>The Mona Lisa is a masterpiece, because it is more than just oil on wood. It depicts a woman, and while other paintings attempt similar things, the Mona Lisa excels on a technical and compositional level. David is a similar story. It is a rock, yes, but it's astonishing how something so inflexible and solid can depict a human being, a thing to be made out of flesh and blood.</p>

<p>While a lot of art generates its own context via expertise, context can also be put on art artificially. One infamous example is the story of Robert Florczak, an artist and illustrator, who tests his students to analyze a Jackson Pollock painting. The students quickly comment on the painting, it's composition and why it is good. It manages to invoke emotional reactions in the students. But eventually, Robert pulls the rug from under the students and reveals that actually, this "painting" was nothing more but a closeup of Robert's dirty apron.</p>

<p>The intention of this story is to point out how modern art is nonsensical and indistinguishable from garbage. It's an attempt at proving how modern art is objectively bad. However, I don't think this is the correct takeaway. While it was nothing more but a dirty apron, it did in fact invoke emotional reactions in the students. The painting, being fake or not, managed to create a reaction. Not because there is something about it which makes it scream "I am art", but simply because the students were expecting it to be art. Simply by putting it into the context of "this is art", the dirty apron became art in itself.</p>

<?php late_image(get_source("studio_apron.webp"),"","width:100%; margin:auto; display: block;");?>


<p style="font-style: italic; color:var(--pico-8-dark-grey);">Studio Apron, Robert Florczak, via <a href="https://youtu.be/lNI07egoefc?t=175" target="_blank" rel="noopener noreferrer">YouTube</a><p>
<p>And thus, we come back to The Shaggs and their album. There are two main ways to contextualize it. One is the story behind it: The 3 girls who made up the band were sisters, and their father was convinced that his daughters would become world famous. Using most of their savings, they recorded an album in one day, despite all of them having little to no musical knowledge. What came out of this is the Philosophy of the world.</p>

<p>While the context of questionable parenting explains why the music is the way it is, it still doesn't quite grasp why the album is so beloved. The second context is to simply realize, that nothing like this album exists in the world. Every music is inspired by something else, and every musician puts their own values and interests into the music they make. The music of The Shaggs doesn't have this inspiration. Even if they had, their lack of skill couldn't possibly translate the inspiration into the music. Because of this, we have an album that lacks any kind of inspiration, and thus is 100% creative and 100% unique. Such music, created by lesser artists, is often put under the general term "outsider music". Music of this style managed to generate a small cult following, due to the absolute uniqueness of its sound.</p>

<p><br></p>

<p>Now, despite my reasoning why I like The Shaggs, you may still argue, even though they are unique, they are still out of tune, and their rhythm is still all over the place. You may argue, even though I am correct with their uniqueness, I can't possibly argue that it is good music, right? Yes, you are correct, kinda. The vast majority of music I listen to is in tune and follows clear rhythmic structure. And all the music I actually make is an attempt to sound good (whatever my definition of good is). But despite this, I and many others are still able to greatly enjoy The Shaggs. But this begs the question, why do people enjoy it anyway? Who are these people who enjoy such bad music?</p>

<p>I've noticed a clear trend that people who create (e.g. other musicians, people who draw or paint, people who make videos, artists in general) usually fall under the type of person who would enjoy The Shaggs. People who are not artists, and thus consume more than they create, usually have a clear view of how art is supposed to be like. Anything that doesn't fit this view or dares to challenge it, is more often than not faced with negative feelings. Art, which has the only purpose to entertain the broadest range of people, plays into the expectations of the audience. I like to call the context this art falls into, as "consumer space". Art that doesn't fall into consumer space and is enjoyed by creators, consequently falls into what I like to call "creator space".</p>

<?php late_image(get_source("creator_consumer.png"),"pixel_image","width:100%; margin:auto; display: block;");?>

<p style="font-style: italic; color:var(--pico-8-dark-grey);">A Venn diagram, showing consumer- and creator space, in which art can reside<p>

<p>The Shaggs don't fall into consumer space, because their utter lack of skill challenges what most people consider music in a very extreme way. Creators however tend to enjoy such art, because they enjoy art in a completely different way. I talked about this in my <a href="https://www.rismosch.com/article?id=the-three-stages-of-competent-enjoyment"  target="_blank" rel="noopener noreferrer">last blogpost</a>. Essentially, as the creator becomes accustomed to the media they create, the magic is broken and the fulfillment of expectations aren't exciting anymore. What's more thrilling for creators isn't the simple consumption of media, but the challenge of their expectations.</p>

<p>This is the ultimate reason why The Shaggs are disliked by consumers, but enjoyed by creators. Consumers dislike how The Shaggs challenge their expectations, while creators exactly enjoy how their expectations get challenged.</p>

<p><br></p>

<p>Okay, this seems to make sense, but we are still missing a very important detail: Art is messy, and not as black and white as I have depicted it so far. While pop music is fairly popular, you don't need to spend much time looking for people, who vocally protest against pop music and claim how tasteless, meaningless and "surface-level" it is. What I am trying to say is, even though consumers are expecting their art to be a certain way, they still know that complete fulfillment of expectations is boring. The industry is trying to satisfy everyone, but as a direct consequence of this, they aren't satisfying anyone.</p>

<p>Thus comes the art which lives in both consumer- and creator space. Such art is experimental enough to break the blandness of the industry and to surprise the consumer, but it doesn't shock the consumer, because it isn't too experimental.</p>

<?php late_image(get_source("prism.webp"),"","width:100%; margin:auto;");?>

<p style="font-style: italic; color:var(--pico-8-dark-grey);">Imitation of the album cover art of The Dark Side of the Moon by Pink Floyd<p>

<p>Maybe the best example of such art would be The Dark Side of the Moon by Pink Floyd. This album, praised by a lot of people, managed to hit the perfect balance between avantgarde and yet poppy. At the time of its release, the album wasn't well received actually. It was more poppy than the bands earlier works, thus dissatisfying creators. But it was also too avantgarde to be regarded as pop, thus dissatisfying consumers. However, over time the general opinions changed, as people realized that The Dark Side of the Moon is equally as interesting for creators, as it is for consumers. Creators became satisfied, as it is not what you would first expect from rock. And consumers became satisfied, because even though all that experimental sound design is going on, for the most part it still sounds like progressive rock. Despite all the uniqueness, this album still has a sound that you would expect to hear on the radio.</p>

<p>Such art that lives in both consumer- and creator space is truly special, as it manages to satisfy pretty much <span style="font-style: italic;">everyone</span>. It has the potential of capturing the zeitgeist of entire generations and it is usually this type of art that manages to survive history.</p>

<p><br></p>

<h2>Conclusion</h2>

<p>So, to wrap this blogpost up: To be appreciated, Art has to reside in some kind of context or space. Usually, Art falls into either creator- or consumer space, depending if it challenges the audiences' expectations or not. While most art falls into these two contexts, there exists special art that manages to live in both. More often than not, such art manages to capture the current zeitgeist of our society and defines our culture.</p>

<p>But at the end of it all, we shouldn't forget that subjectivity is still the end-all-be-all. If you still consider The Shaggs to be an assault on music, then so be it. Everyone has preferences; it would be dishonest of me to claim that there isn't music I don't like. Most notable I greatly detest music, where I notice the over-the-top production of a mix. But no matter what art you like or dislike, it is objectively wrong to call it bad, because someone actually made it. And it is for this reason, that there is at least one person, who enjoys an art piece, no matter how "bad" it actually is.</p>